# Flood_Prediction

# Timeseries Forecasting

For tineseries forecastio, there are three methods including:

1- ARIMA

2- Deep Neural Networks

3- Recurrent Neural Networks (LSTM)

Most traditional models require the time series to be stationary. Stationary means statistical properties such as mean, variance and serial correlation are constant over time. Otherwise we can not predict it with traditional models.
However, newer approaches like LSTM or SARIMA have been designed to work with data set that are Not-Stationary.
Not-Stationary means things are changing in a different way as time goes on and so on.

Python libraries such as statsmodel and pmdarima, Stationary, trends, and seasonality can be easily extracted from a timeseries.

Three approaches in python implementation:

1- Auto-Regressive Integrated Moving Average (ARIMA): 
The most significat advatages of this method is that it can be applied for data shows evidence of non-stationary. 

2- Fully connected neural network

3- Recurrent Neural Networks (LSTM):
Long term short memory (LSTM) is atype of RNN that works well on sequences/timeseries.

The task is to predict the amount of annual rainfall over the period of 25 years

# Dataset

The planet Amazon dataset is available in Kaggle website: https://www.kaggle.com/biphili/india-rainfall-kerala-flood#data